py4j.commands

## Class ArrayCommand

- java.lang.Object
- - py4j.commands.AbstractCommand
  - - py4j.commands.ArrayCommand

- All Implemented Interfaces:
    Command

      public class ArrayCommand
      extends AbstractCommand

  A ArrayCommand is responsible for handling operations on arrays.

  Author:
    Barthelemy Dagenais

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARRAY_COMMAND_NAME`
    `static char` | `ARRAY_CREATE_SUB_COMMAND_NAME`
    `static char` | `ARRAY_GET_SUB_COMMAND_NAME`
    `static char` | `ARRAY_LEN_SUB_COMMAND_NAME`
    `static char` | `ARRAY_SET_SUB_COMMAND_NAME`
    `static char` | `ARRAY_SLICE_SUB_COMMAND_NAME`
    `static String` | `RETURN_VOID`

    - ### Fields inherited from class py4j.commands.AbstractCommand

      `commandName, gateway`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String commandName, BufferedReader reader, BufferedWriter writer)`

    - ### Methods inherited from class py4j.commands.AbstractCommand

      `getArguments, getCommandName, getStringArguments, init, invokeMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARRAY_COMMAND_NAME

          public static final String ARRAY_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### ARRAY_GET_SUB_COMMAND_NAME

          public static final char ARRAY_GET_SUB_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### ARRAY_SET_SUB_COMMAND_NAME

          public static final char ARRAY_SET_SUB_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### ARRAY_SLICE_SUB_COMMAND_NAME

          public static final char ARRAY_SLICE_SUB_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### ARRAY_LEN_SUB_COMMAND_NAME

          public static final char ARRAY_LEN_SUB_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### ARRAY_CREATE_SUB_COMMAND_NAME

          public static final char ARRAY_CREATE_SUB_COMMAND_NAME

      See Also:
        Constant Field Values

    - #### RETURN_VOID

          public static final String RETURN_VOID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArrayCommand

          public ArrayCommand()

  - ### Method Detail

    - #### execute

          public void execute(String commandName,
                              BufferedReader reader,
                              BufferedWriter writer)
                       throws Py4JException,
                              IOException

      Specified by:
        `execute` in interface `Command`
      Specified by:
        `execute` in class `AbstractCommand`
      Parameters:
        `commandName` - The command name that was extracted of the command.
        `reader` - The reader from which to read the command parts. Each command part are expected to be on a separate line and readable through `BufferedReader.readLine()`.
        `writer` - The writer to which the return value should be written.
      Throws:
        `Py4JException` - If an error occurs while executing the command. All exceptions except IOException caused by the reader and the writer should be wrapper in a `Py4JException` instance.
        `IOException` - If an error occurs while using the reader or the writer.